---
sidebar_position: 4
description: Edit page properties and other functions to work with Notion in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Notion]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Edit page properties
 Changes the properties of an existing page



`Function EditPageProperties(Val Token, Val Page, Val Data = "", Val Icon = "", Val Cover = "", Val Archived = False) Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Token | --token | String | &#x2714; | Token |
  | Page | --page | String | &#x2714; | ID of the page being modified |
  | Data | --data | Map Of KeyAndValue | &#x2716; | Map of editable parameters |
  | Icon | --icon | String | &#x2716; | URL of the page icon image |
  | Cover | --cover | String | &#x2716; | URL of the page cover image |
  | Archived | --archive | Boolean | &#x2716; | Archive page or not (boolean) |

  
  Returns:  Map Of KeyAndValue - serialized JSON response from Notion



```bsl title="1C:Enterprise/OneScript code example"
    Token   = "secret_9RsfMrRMqZwqp0Zl0B...";
    Page    = "2c582aa7-fc4e-819a-bfdb-da7ae78c68f5";
    Icon    = "https://hut.openintegrations.dev/test_data/picture.jpg";
    Cover   = "https://hut.openintegrations.dev/test_data/picture2.jpg";
    Archive = False;

    Properties = New Map;
    Properties.Insert("Active", False);
    Properties.Insert("Email" , "vector@mail.ru");

    Result = OPI_Notion.EditPageProperties(Token, Page, Properties, Icon, Cover, Archive);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            # JSON data can also be passed as a path to a .json file
            
            oint notion EditPageProperties \
             --token "***" \
             --page "2c582aa7-fc4e-8128-9bb6-c575fc3c58de" \
             --data "{'Active':false,'Email':'vector@mail.ru'}" \
             --icon "https://hut.openintegrations.dev/test_data/picture.jpg" \
             --cover "https://hut.openintegrations.dev/test_data/picture2.jpg" \
             --archive false
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            :: JSON data can also be passed as a path to a .json file
            
            oint notion EditPageProperties ^
             --token "***" ^
             --page "2c582aa7-fc4e-8128-9bb6-c575fc3c58de" ^
             --data "{'Active':false,'Email':'vector@mail.ru'}" ^
             --icon "https://hut.openintegrations.dev/test_data/picture.jpg" ^
             --cover "https://hut.openintegrations.dev/test_data/picture2.jpg" ^
             --archive false
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "object": "page",
 "id": "2c582aa7-fc4e-8128-9bb6-c575fc3c58de",
 "created_time": "2025-12-10T19:36:00Z",
 "last_edited_time": "2025-12-10T19:36:00Z",
 "created_by": {
  "object": "user",
  "id": "8b07422e-eeea-40d1-8d5e-c784211825b0"
 },
 "last_edited_by": {
  "object": "user",
  "id": "8b07422e-eeea-40d1-8d5e-c784211825b0"
 },
 "cover": {
  "type": "external",
  "external": {
   "url": "https://hut.openintegrations.dev/test_data/picture2.jpg"
  }
 },
 "icon": {
  "type": "external",
  "external": {
   "url": "https://hut.openintegrations.dev/test_data/picture.jpg"
  }
 },
 "parent": {
  "type": "page_id",
  "page_id": "5dd94c34-fab0-4bff-986b-7511c0779f77"
 },
 "archived": false,
 "in_trash": false,
 "is_locked": false,
 "properties": {
  "title": {
   "id": "title",
   "type": "title",
   "title": [
    {
     "type": "text",
     "text": {
      "content": "title",
      "link": null
     },
     "annotations": {
      "bold": false,
      "italic": false,
      "strikethrough": false,
      "underline": false,
      "code": false,
      "color": "default"
     },
     "plain_text": "title",
     "href": null
    }
   ]
  }
 },
 "url": "https://www.notion.so/title-2c582aa7fc4e81289bb6c575fc3c58de",
 "public_url": null,
 "request_id": "924ccf7f-9a53-46b5-ba26-e5045f2cefdb"
}
```
